aaa.ws

## Class AAA

- java.lang.Object
- - aaa.ws.AAA

-     public class AAA
      extends java.lang.Object

  Non viene riportata la semantica del tag "return" che è presente nelle risposte di tutti i servizi.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAA()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuoliStruttureOperatoreResponse` | `getRuoliStruttureOperatore(java.lang.String codFiscaleOperatore)` Il servizio recupera la lista delle strutture presso cui lavora un operatore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AAA

          public AAA()

  - ### Method Detail

    - #### getRuoliStruttureOperatore

          public RuoliStruttureOperatoreResponse getRuoliStruttureOperatore(java.lang.String codFiscaleOperatore)

      Il servizio recupera la lista delle strutture presso cui lavora un operatore.
      Parameters:
        `codFiscaleOperatore` - Codice fiscale dell'operatore. Parametro obbligatorio
      Returns:
        RuoliStruttureOperatoreResponse Risposta in formato XML contenente la lista degli incarichi dell'operatore oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000201: Utente sconosciuto.
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile